easy-samba - A basic GTK (zenity) or CLI interface to create, add and remove folders in Samba.
==============================================================================================

### Downloads:
  * [easy-samba-1.6.3.tar.gz](https://github.com/q3aql/easy-samba/releases/download/v1.6.3/easy-samba-1.6.3.tar.gz) - Generic package (English + Spanish Languages).
  * [easy-samba-1.6.3-en.deb](https://github.com/q3aql/easy-samba/releases/download/v1.6.3/easy-samba-1.6.3-en.deb) - Debian based package (English version).
  * [easy-samba-1.6.3-en.rpm](https://github.com/q3aql/easy-samba/releases/download/v1.6.3/easy-samba-1.6.3-en.rpm) - RedHat/Fedora based package (English version).
  * [easy-samba-1.6.3-es.deb](https://github.com/q3aql/easy-samba/releases/download/v1.6.3/easy-samba-1.6.3-es.deb) - Debian based package (Spanish version).
  * [easy-samba-1.6.3-es.rpm](https://github.com/q3aql/easy-samba/releases/download/v1.6.3/easy-samba-1.6.3-es.rpm) - RedHat/Fedora based package (Spanish version).
  
_Dependencies: samba, bash, coreutils, zenity, xterm, grep, sed_

### Installation (Generic package - English version):

  * Open terminal and run the following commands:

	```shell
	$ tar zxvf easy-samba-1.6.3.tar.gz
	$ cd easy-samba
	$ sudo make install
	```

### Installation (Generic package - Spanish version):

  * Open terminal and run the following commands:

	```shell
	$ tar zxvf easy-samba-1.6.3.tar.gz
	$ cd easy-samba
	$ sudo make install-es
	```
  
### How to use:

  * For `GTK (Zenity) interface`, you should open Menu > Accessories > Easy-Samba or run the following command:

	```shell
	$ sudo easy-samba-gtk
	```
  
  * For `CLI interface`, you run the following command:

	```shell
	$ sudo easy-samba
	```

### Images (Screenshots)

<img src="https://raw.githubusercontent.com/q3aql/easy-samba/master/img/easy-samba-image.png" width="850" />

### External links:

  * [Samba](https://www.samba.org/)
  * [zenity homepage](https://wiki.gnome.org/Projects/Zenity)
  * [xterm homepage](https://invisible-island.net/xterm/)
  * [Coreutils homepage](https://www.gnu.org/software/coreutils/coreutils.html)
  * [Bash homepage](https://www.gnu.org/software/bash/)
  * [Grep homepage](https://www.gnu.org/software/grep/)
  * [sed homepage](https://www.gnu.org/software/sed/)
